> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List base session states

> List base session states for a given namespace



## OpenAPI

````yaml /api_v1.json get /api/v1/local/namespace/{namespace}
openapi: 3.1.0
info:
  title: Coral Server API
  version: '1.0'
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/local/namespace/{namespace}:
    get:
      tags:
        - local
      summary: List base session states
      description: List base session states for a given namespace
      operationId: getSessionStates
      parameters:
        - name: namespace
          in: path
          description: The namespace name
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
      responses:
        '200':
          description: Success
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SessionStateBase'
                title: ArrayList<SessionStateBase>
        '404':
          description: Invalid namespace provided
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
      deprecated: false
      security:
        - token: []
components:
  schemas:
    SessionStateBase:
      type: object
      description: The base state of a running session, without agent or threads
      properties:
        id:
          type: string
          description: The unique identifier for this session
          title: String
        timestamp:
          type: string
          description: The timestamp of when this state was generated
          title: UTC timestamp ISO-8601
        namespace:
          type: string
          description: The namespace that this session resides in
          title: String
        status:
          anyOf:
            - type: object
              description: |2-

                        The session is closing and will soon be removed from memory.  The closing status can only be observed when 
                        the session has persistence configure in SessionRuntimeSettings.  Note that there is no closed state for 
                        sessions, as closed sessions are deleted from memory
                        
              properties:
                type:
                  type: string
                  enum:
                    - closing
                  title: String
                executionTime:
                  type: string
                  title: UTC timestamp ISO-8601
                closingTime:
                  type: string
                  title: UTC timestamp ISO-8601
              required:
                - closingTime
                - executionTime
                - type
              title: closing
            - type: object
              description: >-
                This session status is only achieved when creating sessions with
                deferred execution
              properties:
                type:
                  type: string
                  enum:
                    - pending_execution
                  title: String
              required:
                - type
              title: pending_execution
            - type: object
              description: |2-

                        The session launched it's agents and is currently running.  The session's status will remain as running until:
                        
                        1. All the agents in the session exit, or
                        2. The session's TTL expires, or
                        3. Manual exit 
                        
              properties:
                type:
                  type: string
                  enum:
                    - executed
                  title: String
                executionTime:
                  type: string
                  title: UTC timestamp ISO-8601
              required:
                - executionTime
                - type
              title: executed
          description: The status of the session
          discriminator:
            propertyName: type
          title: SessionStatus
        annotations:
          type: object
          additionalProperties:
            type: string
            title: String
          title: LinkedHashMap<String,String>
      required:
        - annotations
        - id
        - namespace
        - status
        - timestamp
      title: SessionStateBase
    RouteException:
      type: object
      properties:
        message:
          type: string
          title: String
      required:
        - message
      title: RouteException
  securitySchemes:
    token:
      type: http
      scheme: bearer
      bearerFormat: Configured token

````